var requirejs = require('requirejs');
requirejs.config({
    nodeRequire: require
});

var NetOS = requirejs(['NetOS','util'], function( NetOS, util ){
    var netOS1 = new NetOS({
        root: "/home/jaredbarnes/server1",
        isDrive: true
    });
    var netOS2 = new NetOS({
        root: "/home/jaredbarnes/server2",
        isDrive: true
    });
    var netOS3 = new NetOS({
        root: "/home/jaredbarnes/server3",
        isDrive: true
    });
    var netOS4 = new NetOS({
        root: "/home/jaredbarnes/server4",
        isDrive: true
    });
    
    
    netOS1.listen(8001, '127.0.0.1', onReady);
    netOS2.listen(8002, '127.0.0.1', function(){});
    netOS3.listen(8003, '127.0.0.1', function(){});
    netOS4.listen(8004, '127.0.0.1', function(){});
    
  
    function onReady(){
        var count = 0;
        var path = '/me/hey.txt';
        var callback = function(e, host){
            
            if (!e){
                count++;
                console.log(host);
                if (count>1){
                    callback.stop();
                }
            } else {
                console.log("Found "+count+" host with the file "+path+".");
            }
        }
        
        netOS1.fs.getFileLocations(path, callback);
    }
    
});

